#!/usr/bn/env python

########################################################################
# The CLAW3 Filebrowser
# Copyright 2004, Gabe Ginorio <gabe@zevallos.com.br>
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.

# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
######################################################################

import pygtk, gtk

def waitingDialog(text, Claw3):

	# Create a borderless window (they look cooler)
	global waitingWindow
	waitingWindow = gtk.Window(gtk.WINDOW_POPUP)
	
	# Set the position of the window
	x,y = Claw3.mainWindow.get_position()
	offsety = Claw3.mainWindow.allocation.height
	offsetx = Claw3.mainWindow.allocation.width
	waitingWindow.move(x + offsetx/2, y + offsety/2)	
	
	# Create a progress bar and have it pulse (back and forth aimlessly)
	global waitingProgressBar
	waitingProgressBar = gtk.ProgressBar()
	waitingProgressBar.set_text(text)
	
	# Add the progressbar to the window
	waitingWindow.add(waitingProgressBar)
		
	# Show everything
	waitingWindow.show_all()

	return waitingProgressBar
		
	##############################################################
	# This function handles destroying the waitingDialog widget
	##############################################################	
def quit():
	waitingWindow.destroy()
